import { AssigningCategoryStyleEventArgsBase } from "./igr-assigning-category-style-event-args-base";
import { AssigningCategoryMarkerStyleEventArgs as AssigningCategoryMarkerStyleEventArgs_internal } from "./AssigningCategoryMarkerStyleEventArgs";
/**
 * Represents event arguments class for the AssigningCategoryStyleEvent
*/
export class AssigningCategoryMarkerStyleEventArgs extends AssigningCategoryStyleEventArgsBase {
    createImplementation() {
        return new AssigningCategoryMarkerStyleEventArgs_internal();
    }
    get i() {
        return this._implementation;
    }
    constructor() {
        super();
    }
}
